aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--src/nix/main.cc1
-rw-r--r--tests/timeout.sh5
2 files changed, 6 insertions, 0 deletions
diff --git a/src/nix/main.cc b/src/nix/main.cc
index 440ced97d..fdb8f6e3a 100644
--- a/src/nix/main.cc
+++ b/src/nix/main.cc
@@ -42,6 +42,7 @@ void mainWrapped(int argc, char * * argv)
NixArgs args;
args.parseCmdline(argvToStrings(argc, argv));
+ settings.update();
assert(args.command);
diff --git a/tests/timeout.sh b/tests/timeout.sh
index ce1ae7d67..77b227e89 100644
--- a/tests/timeout.sh
+++ b/tests/timeout.sh
@@ -29,3 +29,8 @@ if nix-build timeout.nix -A closeLog; then
echo "build should have failed"
exit 1
fi
+
+if nix build -f timeout.nix silent --option build-max-silent-time 2; then
+ echo "build should have failed"
+ exit 1
+fi